%define module_name slmodem
%define module_version 2.9.5
%define module_release alt1
%define module_source slmodem-%{module_version}.tar.gz
%define module_source_dir %{module_name}-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       Proprietary
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
%{module_name} modules sources for Linux kernel

%prep
%setup -c

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources
mv %{module_source_dir} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%changelog
* Thu Jan 22 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.9.5-alt1
- Initial build

